import 'flutter_icon_data.dart';

class Feather {
  static getIconData(String iconName) {
    assert(
      hasIconData(iconName),
      "The icon $iconName does not exist in the Feather",
    );
    return FlutterIconData.feather(_feather[iconName]);
  }

  static hasIconData(iconName) => _feather.containsKey(iconName);

  static const glyphMaps = _feather;
}

const Map<String, int> _feather = {
  "activity": 59648,
  "airplay": 59649,
  "alert-circle": 59650,
  "alert-octagon": 59651,
  "alert-triangle": 59652,
  "align-center": 59653,
  "align-justify": 59654,
  "align-left": 59655,
  "align-right": 59656,
  "anchor": 59657,
  "aperture": 59658,
  "archive": 59659,
  "arrow-down": 59660,
  "arrow-down-circle": 59661,
  "arrow-down-left": 59662,
  "arrow-down-right": 59663,
  "arrow-left": 59664,
  "arrow-left-circle": 59665,
  "arrow-right": 59666,
  "arrow-right-circle": 59667,
  "arrow-up": 59668,
  "arrow-up-circle": 59669,
  "arrow-up-left": 59670,
  "arrow-up-right": 59671,
  "at-sign": 59672,
  "award": 59673,
  "bar-chart": 59674,
  "bar-chart-2": 59675,
  "battery": 59676,
  "battery-charging": 59677,
  "bell": 59678,
  "bell-off": 59679,
  "bluetooth": 59680,
  "bold": 59681,
  "book": 59682,
  "book-open": 59683,
  "bookmark": 59684,
  "box": 59685,
  "briefcase": 59686,
  "calendar": 59687,
  "camera": 59688,
  "camera-off": 59689,
  "cast": 59690,
  "check": 59691,
  "check-circle": 59692,
  "check-square": 59693,
  "chevron-down": 59694,
  "chevron-left": 59695,
  "chevron-right": 59696,
  "chevron-up": 59697,
  "chevrons-down": 59698,
  "chevrons-left": 59699,
  "chevrons-right": 59700,
  "chevrons-up": 59701,
  "chrome": 59702,
  "circle": 59703,
  "clipboard": 59704,
  "clock": 59705,
  "cloud": 59706,
  "cloud-drizzle": 59707,
  "cloud-lightning": 59708,
  "cloud-off": 59709,
  "cloud-rain": 59710,
  "cloud-snow": 59711,
  "code": 59712,
  "codepen": 59713,
  "command": 59714,
  "compass": 59715,
  "copy": 59716,
  "corner-down-left": 59717,
  "corner-down-right": 59718,
  "corner-left-down": 59719,
  "corner-left-up": 59720,
  "corner-right-down": 59721,
  "corner-right-up": 59722,
  "corner-up-left": 59723,
  "corner-up-right": 59724,
  "cpu": 59725,
  "credit-card": 59726,
  "crop": 59727,
  "crosshair": 59728,
  "database": 59729,
  "delete": 59730,
  "disc": 59731,
  "dollar-sign": 59732,
  "download": 59733,
  "download-cloud": 59734,
  "droplet": 59735,
  "edit": 59736,
  "edit-2": 59737,
  "edit-3": 59738,
  "external-link": 59739,
  "eye": 59740,
  "eye-off": 59741,
  "facebook": 59742,
  "fast-forward": 59743,
  "feather": 59744,
  "file": 59745,
  "file-minus": 59746,
  "file-plus": 59747,
  "file-text": 59748,
  "film": 59749,
  "filter": 59750,
  "flag": 59751,
  "folder": 59752,
  "folder-minus": 59753,
  "folder-plus": 59754,
  "gift": 59755,
  "git-branch": 59756,
  "git-commit": 59757,
  "git-merge": 59758,
  "git-pull-request": 59759,
  "github": 59760,
  "gitlab": 59761,
  "globe": 59762,
  "grid": 59763,
  "hard-drive": 59764,
  "hash": 59765,
  "headphones": 59766,
  "heart": 59767,
  "help-circle": 59768,
  "home": 59769,
  "image": 59770,
  "inbox": 59771,
  "info": 59772,
  "instagram": 59773,
  "italic": 59774,
  "layers": 59775,
  "layout": 59776,
  "life-buoy": 59777,
  "link": 59778,
  "link-2": 59779,
  "linkedin": 59780,
  "list": 59781,
  "loader": 59782,
  "lock": 59783,
  "log-in": 59784,
  "log-out": 59785,
  "mail": 59786,
  "map": 59787,
  "map-pin": 59788,
  "maximize": 59789,
  "maximize-2": 59790,
  "menu": 59791,
  "message-circle": 59792,
  "message-square": 59793,
  "mic": 59794,
  "mic-off": 59795,
  "minimize": 59796,
  "minimize-2": 59797,
  "minus": 59798,
  "minus-circle": 59799,
  "minus-square": 59800,
  "monitor": 59801,
  "moon": 59802,
  "more-horizontal": 59803,
  "more-vertical": 59804,
  "move": 59805,
  "music": 59806,
  "navigation": 59807,
  "navigation-2": 59808,
  "octagon": 59809,
  "package": 59810,
  "paperclip": 59811,
  "pause": 59812,
  "pause-circle": 59813,
  "percent": 59814,
  "phone": 59815,
  "phone-call": 59816,
  "phone-forwarded": 59817,
  "phone-incoming": 59818,
  "phone-missed": 59819,
  "phone-off": 59820,
  "phone-outgoing": 59821,
  "pie-chart": 59822,
  "play": 59823,
  "play-circle": 59824,
  "plus": 59825,
  "plus-circle": 59826,
  "plus-square": 59827,
  "pocket": 59828,
  "power": 59829,
  "printer": 59830,
  "radio": 59831,
  "refresh-ccw": 59832,
  "refresh-cw": 59833,
  "repeat": 59834,
  "rewind": 59835,
  "rotate-ccw": 59836,
  "rotate-cw": 59837,
  "rss": 59838,
  "save": 59839,
  "scissors": 59840,
  "search": 59841,
  "send": 59842,
  "server": 59843,
  "settings": 59844,
  "share": 59845,
  "share-2": 59846,
  "shield": 59847,
  "shield-off": 59848,
  "shopping-bag": 59849,
  "shopping-cart": 59850,
  "shuffle": 59851,
  "sidebar": 59852,
  "skip-back": 59853,
  "skip-forward": 59854,
  "slack": 59855,
  "slash": 59856,
  "sliders": 59857,
  "smartphone": 59858,
  "speaker": 59859,
  "square": 59860,
  "star": 59861,
  "stop-circle": 59862,
  "sun": 59863,
  "sunrise": 59864,
  "sunset": 59865,
  "tablet": 59866,
  "tag": 59867,
  "target": 59868,
  "terminal": 59869,
  "thermometer": 59870,
  "thumbs-down": 59871,
  "thumbs-up": 59872,
  "toggle-left": 59873,
  "toggle-right": 59874,
  "trash": 59875,
  "trash-2": 59876,
  "trending-down": 59877,
  "trending-up": 59878,
  "triangle": 59879,
  "truck": 59880,
  "tv": 59881,
  "twitter": 59882,
  "type": 59883,
  "umbrella": 59884,
  "underline": 59885,
  "unlock": 59886,
  "upload": 59887,
  "upload-cloud": 59888,
  "user": 59889,
  "user-check": 59890,
  "user-minus": 59891,
  "user-plus": 59892,
  "user-x": 59893,
  "users": 59894,
  "video": 59895,
  "video-off": 59896,
  "voicemail": 59897,
  "volume": 59898,
  "volume-1": 59899,
  "volume-2": 59900,
  "volume-x": 59901,
  "watch": 59902,
  "wifi": 59903,
  "wifi-off": 59904,
  "wind": 59905,
  "x": 59906,
  "x-circle": 59907,
  "x-square": 59908,
  "youtube": 59909,
  "zap": 59910,
  "zap-off": 59911,
  "zoom-in": 59912,
  "zoom-out": 59913
};
